{
  "/api/v1/advanced_data_type/convert": {
    "get": {
      "description": "Returns an AdvancedDataTypeResponse object populated with the passed in args.",
      "parameters": [
        {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/advanced_data_type_convert_schema"
              }
            }
          },
          "in": "query",
          "name": "q"
        }
      ],
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AdvancedDataTypeSchema"
              }
            }
          },
          "description": "AdvancedDataTypeResponse object has been returned."
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "403": {
          "$ref": "#/components/responses/403"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Return an AdvancedDataTypeResponse",
      "tags": [
        "Advanced Data Type"
      ]
    }
  },
  "/api/v1/advanced_data_type/types": {
    "get": {
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "result": {
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "a successful return of the available advanced data types has taken place."
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "403": {
          "$ref": "#/components/responses/403"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Return a list of available advanced data types",
      "tags": [
        "Advanced Data Type"
      ]
    }
  }
}\n